Create Ops Group
Create an ops group to manage your workforce and orders
Create an ops group to manage your workforce and orders
In: header
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
curl -X POST "https://example.com/workers/ops-groups/" \ -H "Content-Type: application/json" \ -d '{ "ops_group_handle": "string", "ops_group_label": "string" }'{ "ops_group_handle": "san-jose-store", "ops_group_label": "store", "timezone": "America/Los_Angeles", "route_start_location": "ops_group_home", "route_completion_type": "manual", "ops_group_home": { "geometry": { "type": "Point", "coordinates": [ -121.93186, 36.3570534 ] }, "address": "1709 Automation Pkwy, San Jose, CA 95101" }, "objective_fn": "minimise_time", "route_capacity": 10, "route_max_distance": 20000, "default_shift_start_time": "07:00", "default_shift_end_time": "19:00", "order_tracking_mode": "manual", "shift_availability_mode": "auto", "order_tracking_automation": { "type": "shift", "mode": "auto", "lead_time": 3600, "lag_time": 0 }}{ "detail": {}, "message": "string"}{ "detail": { "<location>": { "<field_name>": [ "string" ] } }, "message": "string"}